Skip to main content
`Ctrl`+`K`

# SNESMonitorRatio

Monitors progress of a `SNESSolve()` by printing the ratio of residual norm at each iteration to the previous.

## Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESMonitorRatio(SNES snes, PetscInt its, PetscReal fgnorm, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- snes - the `SNES` context

- its - iteration number

- fgnorm - 2-norm of residual (or gradient)

- vf - context of monitor

## Options Database Key

- -snes_monitor_ratio - activate this monitor

## Notes

This is not called directly by users, rather one calls `SNESMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `SNES` solve.

Be sure to call `SNESMonitorRationSetUp()` before using this monitor.

## See Also

SNES: Nonlinear Solvers, `SNESMonitorRationSetUp()`, `SNESMonitorSet()`, `SNESMonitorSolution()`, `SNESMonitorDefault()`, `PetscViewerFormat`, `PetscViewerAndFormat`

## Level

intermediate

## Location

src/snes/interface/snesut.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages